## org.opengis.temporal
Interface TemporalPosition

All Known Subinterfaces:
  CalendarDate, ClockTime, DateAndTime, JulianDate, OrdinalPosition, TemporalCoordinate

    @UML(identifier="TM_TemporalPosition",
         specification=ISO_19108)
    public interface TemporalPosition

Used for describing temporal positions referenced to other temporal reference systems.

Method Summary
`IndeterminateValue` `getIndeterminatePosition()` This attribute provides the only value for temporal position unless a subtype of `TemporalPosition` is used as the data type.

Method Detail

### getIndeterminatePosition

    @UML(identifier="indeterminatePosition",
         obligation=OPTIONAL,
         specification=ISO_19108)
    IndeterminateValue getIndeterminatePosition()

  This attribute provides the only value for temporal position unless a subtype of `TemporalPosition` is used as the data type. When this attribute is used with a subtype of `TemporalPosition`, it provides a qualifier to the specific value for temporal position provided by the subtype.

  TODO:
    Method name doesn't match the return type.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.